# Project

## Install Operator

1. Add the repository

```console
helm repo add postgres-operator-charts https://opensource.zalando.com/postgres-operator/charts/postgres-operator
```

2. Install operator

```console
helm install postgres-operator postgres-operator-charts/postgres-operator -f values.yaml
```

3. Others

https://postgres-operator.readthedocs.io/en/latest/quickstart/#helm-chart

## Deploy cluster

1. Apply

```console
kubectl apply -f k8s-psql.yaml
```

2. Others

[Good complete example](https://github.com/zalando/postgres-operator/blob/master/manifests/complete-postgres-manifest.yaml) 
[Docs](https://postgres-operator.readthedocs.io/en/latest/administrator/#namespaces)

